# Replace Floor Plan

Update floor plan by ID.

Endpoint: PUT /venues/{venueId}/floorplans/{floorPlanId}
Version: 0.2.9

## Path parameters:

  - `venueId` (string, required)

  - `floorPlanId` (string, required)

## Request fields (application/json):

  - `id` (string)
    Floor plan identifier.

  - `venueId` (string)
    Identifier of the venue.

  - `name` (string, required)
    Floor plan name.

  - `floorNumber` (integer, required)
    Floor number of the plan.

  - `imageId` (string, required)
    Identifier of the floor plan image.

  - `imageName` (string, required)
    Display name of the image.

  - `scales` (array)
    List of floor plan scale entries.

  - `scales.x1` (number)
    First point x axis coordinate.

  - `scales.y1` (number)
    First point y axis coordinate.

  - `scales.x2` (number)
    Second point x axis coordinate.

  - `scales.y2` (number)
    Second point y axis coordinate.

  - `scales.distanceInMeters` (number)
    Actual distance in meters value.

  - `scales.distanceInFeet` (number)
    Actual distance in feet value.

## Response 202 fields (application/json):

  - `requestId` (string)
    Unique operation request identifier.

  - `response` (object)
    Response payload or result body.

## Response 400 fields (application/json):

  - `requestId` (any)
    Unique operation request identifier.

  - `errors` (array)
    List of operation request errors.


